Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.pns.messages
Class RouteRowResponse

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.pns.messages.RouteRowResponse

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class RouteRowResponse

extends PRawMessage

See Also:
  Serialized Form

Field Summary
`short` | `index`
`RouteSet[]` | `row`
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RouteRowResponse(InputBuffer buf, PastryNode localNode, NodeHandle sender, int dest)`
`RouteRowResponse(NodeHandle sender, short index, RouteSet[] row, int address)`

Method Summary
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### index

    public short index

### row

    public RouteSet[] row

Constructor Detail

### RouteRowResponse

    public RouteRowResponse(NodeHandle sender,
                            short index,
                            RouteSet[] row,
                            int address)

### RouteRowResponse

    public RouteRowResponse(InputBuffer buf,
                            PastryNode localNode,
                            NodeHandle sender,
                            int dest)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getType

    public short getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.